org.springframework.ui.context.support

## Class UiApplicationContextUtils

- java.lang.Object
- - org.springframework.ui.context.support.UiApplicationContextUtils

    public abstract class UiApplicationContextUtils
    extends Object

Utility class for UI application context implementations. Provides support for a special bean named "themeSource", of type `ThemeSource`.

Since:
  17.06.2003
Author:
  Jean-Pierre Pawlak, Juergen Hoeller

### Field Summary

Fields
`static String` `THEME_SOURCE_BEAN_NAME` Name of the ThemeSource bean in the factory.

### Constructor Summary

Constructors
Constructor and Description
`UiApplicationContextUtils()`

### Method Summary

Methods
`static ThemeSource` `initThemeSource(ApplicationContext context)` Initialize the ThemeSource for the given application context, autodetecting a bean with the name "themeSource".

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### THEME_SOURCE_BEAN_NAME

    public static final String THEME_SOURCE_BEAN_NAME

Name of the ThemeSource bean in the factory. If none is supplied, theme resolution is delegated to the parent.

See Also:
  `ThemeSource`, Constant Field Values

### Constructor Detail

#### UiApplicationContextUtils

    public UiApplicationContextUtils()

### Method Detail

#### initThemeSource

    public static ThemeSource initThemeSource(ApplicationContext context)

Initialize the ThemeSource for the given application context, autodetecting a bean with the name "themeSource". If no such bean is found, a default (empty) ThemeSource will be used.

Parameters:
  `context` - current application context
Returns:
  the initialized theme source (will never be `null`)
See Also:
  `THEME_SOURCE_BEAN_NAME`